if(!require(reshape2)){
  install.packages("reshape2"); library(reshape2)
}
#[0]--------------------------------------
ifname<-"DataPolymerProperty.csv"
shortdata<-read.delim(ifname,header=T,sep=",",as.is=TRUE) 
#[1]--------------------------------------
longdata<-dcast(shortdata,PolymerName~variable,value.var="value")
ofname="Datalong.csv"; write.csv(longdata,ofname,row.names=FALSE)
#[2]--------------------------------------
shortdata2<-shortdata
names(shortdata2)[[3]]<-"Vdata"; names(shortdata2)[[4]]<-"Val"
#[3]--------------------------------------
longdata2<-dcast(shortdata2,PolymerName~Vdata,value.var="Val")
ofname2="Datalong2.csv"; write.csv(longdata2,ofname2,row.names=FALSE)